
Application: gvSIG desktop - gvSIG bugs #2085
Persistence exception on save project
10/30/2013 05:51 PM - Jose Manuel Vivó Arnal

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Juan Lucas Domínguez
Category: Application
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2066 Add-on resolve version:
Operative System: Linux Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

I found an exception when I've tried to save a new project (log file attached) . On this project I've preform operations like that:

    -  Load dxf layers on views
    -  Export dxf layers to shape
    -  Create new shape layers
        -  2 string fields
        -  geom surface
    -  Editing the new shape:
        -  start editing 
        -  insert 4 squares
        -  finish editing

After that, on save-project action, gvSIG throws an DynObject-validation exception related to a SHPNewStoreParameters. There was
no way to save project.

I've tried to reproduce it creating a new project and redo the creating steps described previously, but gvSIG worked as expected.

Related issues:
Duplicates Application: gvSIG desktop - gvSIG bugs # 1936: Saving project: Er... Closed 07/03/2013

History
#1 - 10/30/2013 05:52 PM - Jose Manuel Vivó Arnal
- gvSIG version changed from 2.1.0 to 2.0.0

#2 - 10/31/2013 08:31 AM - Jose Manuel Vivó Arnal
- File cc-sexta-avenida.gvsproj added

Finally, project has been saved but we I load and try to save it again gvSIG throws the same exception.

Broken project attached.

#3 - 11/11/2013 11:34 AM - Juan Lucas Domínguez
- Assignee set to Juan Lucas Domínguez
#4 - 11/11/2013 12:26 PM - Juan Lucas Domínguez
- Status changed from New to Fixed

I think this is the same as #1936 (already fixed). Try BN > 2066 and it should work.

#5 - 01/13/2014 09:38 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#6 - 01/27/2014 05:01 PM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
gvSIG.log.zip 22 KB 10/30/2013 Jose Manuel Vivó Arnal
cc-sexta-avenida.gvsproj 134 KB 10/31/2013 Jose Manuel Vivó Arnal
